<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\NotFound;

use Kufer\Web\KuferTools\Basis\UseCase\UseCase;

class NotFoundUseCase extends UseCase
{
  public function __construct($request)
  {
    parent::__construct($request, new NotFoundResponse());
  }

  public function action()
  {
    $this->setzeMenupunkte();

    return $this->response;
  }

  public function hasAccess($pToolSectionId = null)
  {
    return true;
  }

  private function setzeMenupunkte(): void
  {
    $menuBar = new \MenuBar();
    $menuBar->setMenuBarFromSettings(array(), 'LOGIN', null, true, true);
    $menuPunkte = $menuBar->getMenuPunkte();

    $zumLoginMenuPunkt = new \Kufer\Web\Classes\Menu\MenuPunkt\MenuPunkt4LoginSeite();
    array_unshift($menuPunkte, $zumLoginMenuPunkt);

    $this->response->menuPunkte = $menuPunkte;
  }
}